
Figure - Bug #116380
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】应用-查看全部应用，卸载其中一个应用后，左上角显示的应用数量未及时变化
2023-02-20 14:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0077.X101

Reproducibility: Every time Fixed Version: 2023-02-22

Test Type: ST Root cause: 标题展示处理逻辑问题导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、安装一个三方应用

2、进入设置-应用-查看全部应用

3、卸载步骤一中安装的应用

【预期结果】

3、页面右上角的应用数量减一

【实际结果】

3、左上角显示的应用数量未及时变化

【复现率】

3/3

History

#1 - 2023-02-20 19:32 - CD FW-廖涛

- % Done changed from 0 to 50

#2 - 2023-02-22 18:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183291 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix settings title and navigation problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-116380Change-Id:

Ic66c298b9706908b0f160fabb07c1f63502602fe

#3 - 2023-02-22 18:05 - CD FW-廖涛
- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-22

- Root cause set to 标题展示处理逻辑问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

标题展示处理逻辑问题导致。由于应用列表页面更新了标题，但是原有逻辑没有兼容页面的标题更新逻辑，所以展示的标题不正确，已做处理。

此处的标题应该（AOSP 原生逻辑）为 所有应用，所以不存在应用数量更新的问题。

■ Next action

测试验证。

#4 - 2023-02-24 10:48 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0077.X101

2.24

验证通过

#5 - 2023-02-24 10:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-20 14-33-25.mp4 7.72 MB 2023-02-20 CD TEST-方永红
